<bugID>303195<Summary>Feedview: "Article Length" UI doesn't work after going Back/Forward</Summary><Description>"Article Length" ui doesn't work after going Back/Forward.

STR:
1. Open http://www.squarefree.com/burningedge/2005/08/02/2005-08-02-trunk-builds/
2. click on one of the proposed feeds.
3. Go back and then forward.
4. Try to use the article length ui.</Description></bugID>